import { select, json, geoPath, 
        geoMercator, geoOrthographic, geoNaturalEarth1 } from 'd3';
import { feature } from 'topojson';

const svg=select('svg');
const height=parseFloat(svg.attr('height'));
const width=parseFloat(svg.attr('width'));

//const projection = geoMercator();
//const projection = geoOrthographic();
const projection = geoNaturalEarth1();

const pathGenerator = geoPath().projection(projection);

json('https://cdn.jsdelivr.net/npm/world-atlas@2/countries-110m.json')
	.then(data=> {
  	const countries = feature(data, data.objects.countries);
  	//console.log(data);
  	//console.log(countries);
  
  svg.append('path')
  	.attr('class', 'sphere')
  	.attr('d', pathGenerator({type: 'Sphere'}));
  
  svg.selectAll('path')
  	.data(countries.features)
  	.enter().append('path')
  	.attr('class', 'country')
  	.attr('d', pathGenerator);
  });